Fix for previous game update deployed... (前回アップデートの修正)

Status
Not open for further replies.

Sodaboy

Sodabob
Staff member
Gender
Male
Guildcard
11111111
So, it has come to my attention that there are some peoples' machines that don't have the DirectX 9.0 runtime installed.

With the changes made to v1410, I accidentally made a hard dependency on d3dx9_43.dll. This has been rectified with v1411.

Please note that without the DirectX 9.0 runtime installed, you cannot fully utilize the D3D9 API nor SMAA.

You will receive a pop-up message box warning you of such should you attempt to do so.

Apologies for the inconvenience and we thank you for your continued support!

Update: Updated DLL to v1412 to improve performance of AA routines. (OK, I think this is the last one for a while, I hope!)

Update #2: Updated DLL to v1413 to fix the fact that I broke MSAA antialiasing in v1412. (Oh, brother...)

 ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄ ̄
多数のDLLエラーの報告を受け、DirectX 9.0ランタイムがインストールされていないPCでプレイされているケースに気づきました。

前回v1410への変更時に、誤ってd3dx9_43.dllをDirectXモジュールにハード依存させていました。 これは、v1411で修正されました。

DirectX 9.0ランタイムがインストールされていないと、オプションのD3D API [Direct3D 9] やアンチエイリアシングを完全には利用することができませんので、ご注意ください。

その場合、ポップアップメッセージで警告が表示されます。

ご不便をおかけいたしますが、今後ともよろしくお願いいたします。

更新:アンチエイリアシングのパフォーマンスを向上させるために、DLLをv1412に更新しました。(今回のアップデートはこれで最後だと思います、たぶん!)

更新 #2 : v1412でMSAAアンチエイリアスを壊してしまったのを修正し、DLLをv1413に更新しました。
 
Last edited:
Status
Not open for further replies.
Top